Subject: bug#75520: Circular code or data can hang Emacs unquittably

From: Stefan Monnier <[email-masked]>
Date: Sun, 12 Jan 2025 15:25:21 -0500

>> There are similar issues with circular data: if Lisp code turns
>> process-environment into a circular structure, for example, call_process
>> will hang Emacs.  If this should be fixed, please let me know so I can
>> create a separate bug report and look for similar issues.
> Thanks, let's hear what others (CC'ed) think about this.

I'm in favor of fixing all those unquittable inf-loops, except maybe
when there a very strong reason not to, which I fail to see here.

        Stefan